VLCKit

Instance Methods | Class Methods | Properties | List of all members
VLCLibrary Class Reference

`#import <VLCLibrary.h>`

Inheritance diagram for VLCLibrary:

## Instance Methods
(instancetype) | - initWithOptions:
(void) | - setHumanReadableName:withHTTPUserAgent:
(void) | - setApplicationIdentifier:withVersion:andApplicationIconName:

## Class Methods
(VLCLibrary *) | + sharedLibrary

## Properties
BOOL | debugLogging
int | debugLoggingLevel
NSString * | version
NSString * | compiler
NSString * | changeset
void * | instance

## Detailed Description

The VLCLibrary is the base library of the VLCKit.framework. This object provides a shared instance that exposes the internal functionalities of libvlc and libvlc-control. The VLCLibrary object is instantiated automatically when VLCKit.framework is loaded into memory. Also, it is automatically destroyed when the VLCKit.framework is unloaded from memory.

Currently, the framework does not support multiple instances of VLCLibrary. Furthermore, you cannot destroy any instiantiation of VLCLibrary, as previously noted, this is done automatically by the dynamic link loader.

## Method Documentation

## ◆ initWithOptions:()

- (instancetype) initWithOptions: |  | (NSArray *) | options |

returns an individual instance which can be customized with options

Parameters

  options | a NSArray with NSString instance containing the options

Returns
  the individual library instance

## ◆ setApplicationIdentifier:withVersion:andApplicationIconName:()

- (void) setApplicationIdentifier: |  | (NSString *) | identifier
withVersion: |  | (NSString *) | version
andApplicationIconName: |  | (NSString *) | icon

Sets some meta-information about the application.

Parameters

  identifier | Java-style application identifier, e.g. "com.acme.foobar"
  version | application version numbers, e.g. "1.2.3"
  icon | application icon name, e.g. "foobar"

## ◆ setHumanReadableName:withHTTPUserAgent:()

- (void) setHumanReadableName: |  | (NSString *) | readableName
withHTTPUserAgent: |  | (NSString *) | userAgent

sets the application name and HTTP User Agend libvlc will pass it to servers when required by protocol

Parameters

  readableName | human-readable application name, e.g. "FooBar player 1.2.3"
  userAgent | HTTP User Agent, e.g. "FooBar/1.2.3 Python/2.6.0"

## ◆ sharedLibrary()

+ (VLCLibrary *) sharedLibrary |  |  |

Returns the library's shared instance.

Returns
  The library's shared instance.

## Property Documentation

## ◆ changeset

- (NSString*) changeset
| read atomic copy

Returns the library's changeset

Returns
  The library version example "adfee99".

## ◆ compiler

- (NSString*) compiler
| read atomic copy

Returns the compiler used to build the libvlc binary

Returns
  The compiler version string.

## ◆ debugLogging

- (BOOL) debugLogging
| read write nonatomic assign

enables/disables debug logging param: debugLogging BOOL value to enable/disable

Note
  we will always log using NSLog

Returns
  debug logging state

## ◆ debugLoggingLevel

- (int) debugLoggingLevel
| read write nonatomic assign

gets/sets the debug logging level param: debugLoggingLevel set level from 0 (all) to 4 (just error messages)

Returns
  int debug level

## ◆ instance

- (void*) instance
| read write nonatomic assign

the libvlc instance wrapped by the VLCLibrary instance

Note
  if you want to use it, you are most likely wrong (or want to add a proper ObjC API)

## ◆ version

- (NSString*) version
| read atomic copy

Returns the library's version

Returns
  The library version example "0.9.0-git Grishenko".

The documentation for this class was generated from the following file:

- Headers/Public/VLCLibrary.h